package ch.netzschmiede.flarmradar.srv.flarmdata.entity;

import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import ch.netzschmiede.flarmradar.api.flarmdata.domain.FlarmRecord;

@Entity
@Table(name = "flarmdata")
public class FlarmRecordEntity {
	
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Basic(optional = false)
	@Column(name = "id")
	@NotNull
	private long id;
	
	@Basic
	@Column(name = "date")
	private Date date;
	
	@Basic
	@Column(name = "record")
	private String record;
	
	public FlarmRecordEntity() { }
	
	public FlarmRecordEntity(FlarmRecord r) {
		this.date = r.getDate();
		this.record = r.getRecord();
	}
	
	public long getId() {
		return id;
	}
		
	public void setDate(Date date) {
		this.date = date;
	}
	
	public Date getDate() {
		return date;
	}
	
	public void setRecord(String record) {
		this.record = record;
	}
	
	public String getRecord() {
		return record;
	}
	
	public FlarmRecord toDomainObject() {
		FlarmRecord d = new FlarmRecord();
		d.setDate(this.date);
		d.setRecord(this.record);
		return d;
	}
}
